# coding: utf8
# 
# This file is released under the terms of the GNU General Public License
# as they appear in http://www.gnu.org/licenses/gpl.txt.
#
# Copyright 2009-2017 erwin.rieger@ibrieger.de
#

#
# Hilfsprogramm um die aufloesung der time.time() bzw. time.clock() 
# funktionen herauszufinden.
#

# CVS version: $Revision: 1.3 $ $Date: 2017-05-19 16:33:20 $

import sys
from time import time, clock


d={}

n = 10000

for i in range(n):
    d[i] = 0

i=0

c1 = clock()

while i<n:

    c2 = clock()
    while c2 == c1:
        c2 = clock()

    diff = int((c2 - c1) * 1000000)

    d[diff/10] = d[diff/10] + 1

    i = i + 1

    c1 = c2

print "\n\nclock times:"
for i in range(n):
    if d[i] > 0:
        print "%6d -%6d us: %6d times, %3d %%" % (i*10, (i+1)*10, d[i], (d[i]*100/n))

for i in range(n):
    d[i] = 0


i=0

t1 = time()

while i<n:

    t2 = time()
    while t2 == t1:
        t2 = time()

    diff = int((t2 - t1) * 1000000)

    d[diff/10] = d[diff/10] + 1

    i = i + 1

    t1 = t2

print "\n\ntime times:"
for i in range(n):
    if d[i] > 0:
        print "%6d -%6d us: %6d times, %3d %%" % (i*10, (i+1)*10, d[i], (d[i]*100/n))

