# coding: utf8
# 
# This file is released under the terms of the GNU General Public License
# as they appear in http://www.gnu.org/licenses/gpl.txt.
#
# Copyright 2009-2017 erwin.rieger@ibrieger.de
#

# CVS version: $Revision: 1.8 $ $Date: 2017-05-19 16:33:20 $

#
# This simple program monitors the parport busy line 
#

import os, parallel
from time import time, sleep

PP = parallel.Parallel()

PP.setData(0)

state = 0
t1 = time() * 1000

while 1:

    b = PP.getInBusy()

    if b != state:
        t2 = time() * 1000
        if b:
            print "%10d ms: 0 -> 1" % ((t2 - t1) % 1000000000)
        else:
            print "%10d ms: 1 -> 0" % ((t2 - t1) % 1000000000)

        state = b

    sleep(.001)

